<?php
/**
 * WooCommerce Settings
 *
 * @package wheel_alignment_service
 */

$wp_customize->add_section(
	'wheel_alignment_service_woocommerce_settings',
	array(
		'panel' => 'wheel_alignment_service_theme_options',
		'title' => esc_html__( 'WooCommerce Settings', 'wheel-alignment-service' ),
	)
);

//WooCommerce - Products per page.
$wp_customize->add_setting( 'wheel_alignment_service_products_per_page', array(
    'default'           => 9,
    'sanitize_callback' => 'absint',
));

$wp_customize->add_control( 'wheel_alignment_service_products_per_page', array(
    'type'        => 'number',
    'section'     => 'wheel_alignment_service_woocommerce_settings',
    'label'       => __( 'Products Per Page', 'wheel-alignment-service' ),
    'input_attrs' => array(
        'min'  => 0,
        'max'  => 50,
        'step' => 1,
    ),
));

//WooCommerce - Products per row.
$wp_customize->add_setting( 'wheel_alignment_service_products_per_row', array(
    'default'           => '3',
    'sanitize_callback' => 'wheel_alignment_service_sanitize_choices',
) );

$wp_customize->add_control( 'wheel_alignment_service_products_per_row', array(
    'label'    => __( 'Products Per Row', 'wheel-alignment-service' ),
    'section'  => 'wheel_alignment_service_woocommerce_settings',
    'settings' => 'wheel_alignment_service_products_per_row',
    'type'     => 'select',
    'choices'  => array(
        '2' => '2',
		'3' => '3',
		'4' => '4',
    ),
) );

//WooCommerce - Show / Hide Related Product.
$wp_customize->add_setting(
	'wheel_alignment_service_related_product_show_hide',
	array(
		'default'           => true,
		'sanitize_callback' => 'wheel_alignment_service_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Wheel_Alignment_Service_Toggle_Switch_Custom_Control(
		$wp_customize,
		'wheel_alignment_service_related_product_show_hide',
		array(
			'label'   => esc_html__( 'Show / Hide Related product', 'wheel-alignment-service' ),
			'section' => 'wheel_alignment_service_woocommerce_settings',
		)
	)
);

// WooCommerce - Product Sale Position.
$wp_customize->add_setting(
	'wheel_alignment_service_product_sale_position', 
	array(
		'default' => 'left',
		'sanitize_callback' => 'sanitize_text_field',
));

$wp_customize->add_control(
	'wheel_alignment_service_product_sale_position', 
	array(
		'label' => __('Product Sale Position', 'wheel-alignment-service'),
		'section' => 'wheel_alignment_service_woocommerce_settings',
		'settings' => 'wheel_alignment_service_product_sale_position',
		'type' => 'radio',
		'choices' => 
	array(
		'left' => __('Left', 'wheel-alignment-service'),
		'right' => __('Right', 'wheel-alignment-service'),
	),
));